.Teach-CourseList {
    max-width: 100%;
    width: 100vw;

    --listHeight: 266px;
    --listHeightSMall: 224px;
}

.Teach-CourseList > div:nth-child(2) {
    height: calc(100vh - var(--listHeight));
}

.Teach-CourseList > div:nth-child(1) > div:first-of-type,
.Teach-CourseList > div:nth-child(2) > div > div:first-of-type {
    flex: auto;
    width: 500px;
}

.Teach-Banner {
    padding: 0;
}

.Teach-Banner > div {
    display: flex;
    height: calc(100% - 20px);
    align-items: center;
}


@media screen and (max-width: 1366px) {
    .Teach-Banner {
        padding: 0 16px;
    }
}

@media screen and (max-width: 960px) {
    .Teach-CourseList > div:nth-child(1) > div:first-of-type,
    .Teach-CourseList > div:nth-child(2) > div > div:first-of-type {
        flex: auto;
        width: 400px;
    }


    .Teach-CourseList > div:nth-child(1) > div:nth-child(4),
    .Teach-CourseList > div:nth-child(2) > div > div:nth-child(4) {
        display: none;
    }
}

@media screen and (max-width: 740px) {
    .Teach-CourseList > div:nth-child(1) > div:nth-child(3),
    .Teach-CourseList > div:nth-child(2) > div > div:nth-child(3) {
        display: none;
    }

    .Teach-CourseList > div:nth-child(2) {
        height: calc(100vh - var(--listHeightSMall));
    }
}


@media screen and (max-width: 630px) {
    .Teach-CourseList > div:nth-child(1) > div:first-of-type,
    .Teach-CourseList > div:nth-child(2) > div > div:first-of-type {
        flex: auto;
        width: calc(100% - 180px);
    }

}

